- Qt 6.8
- Qt Widgets
- C++ Classes
- QDateEdit
- Qt 6.8.3 Reference Documentation

# QDateEdit Class

The QDateEdit class provides a widget for editing dates based on the QDateTimeEdit widget. More...

Header: | `#include <QDateEdit>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Widgets)` `target_link_libraries(mytarget PRIVATE Qt6::Widgets)`
qmake: | `QT += widgets`
Inherits: | QDateTimeEdit

- List of all members, including inherited members

## Public Functions

| QDateEdit(QWidget *parent = nullptr)
| QDateEdit(QDate date, QWidget *parent = nullptr)
virtual | ~QDateEdit()

## Detailed Description

Many of the properties and functions provided by QDateEdit are implemented in QDateTimeEdit. These are the relevant properties of this class:

- date holds the date displayed by the widget.
- minimumDate defines the minimum (earliest) date that can be set by the user.
- maximumDate defines the maximum (latest) date that can be set by the user.
- displayFormat contains a string that is used to format the date displayed in the widget.

See also QTimeEdit and QDateTimeEdit.

## Member Function Documentation

### `[explicit]` QDateEdit::QDateEdit(QWidget *parent = nullptr)

Constructs an empty date editor with a parent.

### `[explicit]` QDateEdit::QDateEdit(QDate date, QWidget *parent = nullptr)

Constructs an empty date editor with a parent. The date is set to date.

### `[virtual noexcept]` QDateEdit::~QDateEdit()

Destructor.